Bug 970938 - [abrt] glib2-2.26.0-2.el6: g_settings_schema_new: Process /usr/bin/gsettings was killed by signal 6 (SIGABRT)
[abrt] glib2-2.26.0-2.el6: g_settings_schema_new: Process /usr/bin/gsettings ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glib2 (Show other bugs)
6.4
x86_64 Unspecified
unspecified Severity urgent
: beta
: ---
Assigned To: Colin Walters
Desktop QE
abrt_hash:032796346c3c7969157d51b54b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 05:31 EDT by David Jaša
Modified: 2017-12-06 06:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:46:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full bt by abrt (8.08 KB, text/plain)
2013-06-13 15:20 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2013-06-05 05:31:06 EDT
Version-Release number of selected component:
glib2-2.26.0-2.el6

Additional info:
libreport version: 2.0.9
abrt_version:   2.0.8
backtrace_rating: 4
cmdline:        gsettings get org.gnome.system.proxy mode
crash_function: g_settings_schema_new
kernel:         2.6.32-358.6.1.el6.x86_64

truncated backtrace:
:Thread no. 1 (4 frames)
: #4 g_settings_schema_new at gsettingsschema.c
: #5 g_settings_constructed at gsettings.c
: #7 g_object_new_valist at gobject.c
: #9 handle_get at gsettings-tool.c
Comment 1 David Jaša 2013-06-06 06:45:49 EDT
There are several occurrences of these crashes per _hour_, so I'm raising severity to get this fixed asap.

CCing also Evolution people who did the first build of 2.26 stuff for RHEL6.
Comment 2 Milan Crha 2013-06-10 01:57:41 EDT
Could you provide full backtrace and console output, please? From the command line:
> gsettings get org.gnome.system.proxy mode
I would guess that you do not have installed 'org.gnome.system.proxy' scheme, or it doesn't contain 'mode' key. Such errors are usually written on console.
Comment 3 David Jaša 2013-06-13 15:20:52 EDT
Created attachment 760930 [details]
full bt by abrt
Comment 4 David Jaša 2013-06-13 15:22:29 EDT
$ gsettings get org.gnome.system.proxy mode

GLib-GIO-ERROR **: Settings schema 'org.gnome.system.proxy' is not installed

aborting...
Neúspěšně ukončen (SIGABRT) (core dumped [obraz paměti uložen])
Comment 5 David Jaša 2013-06-13 15:26:03 EDT
this gsettings command results in the same backtrace.
Comment 6 Milan Crha 2013-06-13 16:55:25 EDT
OK, it makes sense, GSettings is a bit dumb and aborts on situation when there is no scheme for a key. The question is: where did you find this command and/or key, please? The comment #0 shows you (or a script?) run such command, and the abort is a way of GSettings to "report" error, thus it's expected it'll end this way.
Comment 7 David Jaša 2013-06-14 04:18:33 EDT
I have no idea what might call gsettings but I noticed that:
1) If I'm on corporate network, the crashes do not occur
2) the crashes are much more likely to occur if I have evo calendar running - isn't there some logic that asks for proxy setting if connection can't be established right away?

anyway, CLI commands shouldn't abort in normal circumstances - where trying to access undefined setting belong. Non-zero exit code is the right thing to do.
Comment 8 RHEL Product and Program Management 2013-10-13 23:25:08 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 9 Jan Kurik 2017-12-06 06:46:24 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.